#!/bin/sh

if [ $# -ne 2 ] ; then
	echo ""
	echo "Usage: create_pin_assignments.sh <in_pin_count> <out_pin_count>"
	echo ""
	
	exit 1
fi

echo "set_instance_assignment -name VIRTUAL_PIN ON -to reset_n" > pin_assignments.tcl

INPUT_PIN_COUNT=0

while [ ${INPUT_PIN_COUNT} -lt $1 ] ; do

	echo "set_instance_assignment -name VIRTUAL_PIN ON -to insig_in[${INPUT_PIN_COUNT}]" >> pin_assignments.tcl
	INPUT_PIN_COUNT=$( expr ${INPUT_PIN_COUNT} + 1 )

done

OUTPUT_PIN_COUNT=0

while [ ${OUTPUT_PIN_COUNT} -lt $2 ] ; do

	echo "set_instance_assignment -name VIRTUAL_PIN ON -to outsig_out[${OUTPUT_PIN_COUNT}]" >> pin_assignments.tcl
	OUTPUT_PIN_COUNT=$( expr ${OUTPUT_PIN_COUNT} + 1 )

done
