#
# slave2tlp_64b_sw.tcl
#

#
# Create a new driver
#
create_driver slave2tlp_64b_driver

#
# Associate it with some hardware known as "slave2tlp_64b"
#
set_sw_property hw_class_name slave2tlp_64b

#
# The version of this driver
#
set_sw_property version 1.1
set_sw_property min_compatible_hw_version 1.1

#
# Initialize the driver in alt_sys_init()
#
set_sw_property auto_initialize false

#
# Location in generated BSP that above sources will be copied into
#
set_sw_property bsp_subdirectory drivers

#
# This driver supports HAL & UCOSII BSP (OS) types
#
add_sw_property supported_bsp_type HAL
add_sw_property supported_bsp_type UCOSII

#
# Source file listings...
#

#
# C/C++ source files
#

#
# Include files
#
add_sw_property include_source inc/slave2tlp_64b_regs.h

# End of file
