module test_project_top
#(
	parameter INSIG_WIDTH  = 251,
	parameter OUTSIG_WIDTH = 217
)
(
	clk,
	reset_n,
	insig_in,
	outsig_out
);


input	clk;
input	reset_n;
input	[  ( INSIG_WIDTH - 1 ) : 0 ] insig_in;
output	[ ( OUTSIG_WIDTH - 1 ) : 0 ] outsig_out;






register_wrapper
#(
	.INSIG_WIDTH( INSIG_WIDTH ),
	.OUTSIG_WIDTH( OUTSIG_WIDTH )
)
register_wrapper_inst
(
	.clk(clk),
	.reset_n(reset_n),
	.insig_in(insig_in),
	.outsig_out(outsig_out)
);


endmodule
