module register_wrapper
#(
	parameter INSIG_WIDTH  = 0,
	parameter OUTSIG_WIDTH = 0
)
(
	clk,
	reset_n,

	insig_in,
	outsig_out
);

input	wire							clk;
input	wire							reset_n;

input	[  ( INSIG_WIDTH - 1 ) : 0 ]	insig_in;
output	[ ( OUTSIG_WIDTH - 1 ) : 0 ]	outsig_out;

reg		[  ( INSIG_WIDTH - 1 ) : 0 ]	reg_in;
reg		[ ( OUTSIG_WIDTH - 1 ) : 0 ]	reg_out;

wire	[  ( INSIG_WIDTH - 1 ) : 0 ]	in_vect;
wire	[ ( OUTSIG_WIDTH - 1 ) : 0 ]	out_vect;

reg										my_reset_n;

//
// instance input signal wires
//
FIXME

//
// instance output signal wires
//
FIXME

//
// assign clock and reset drivers
//
assign FIXME_clk_sig = clk;
//assign FIXME_reset_n_sig = my_reset_n;	//  my_reset_n for negative asserted reset
//assign FIXME_reset_sig = ~my_reset_n;		// ~my_reset_n for positive asserted reset

//
// map input and output registers to input and output vectors
//
assign in_vect = reg_in;
assign outsig_out = reg_out;

//
// map input and output vectors to instance inputs and outputs
//
assign {
	FIXME
} = in_vect;

assign out_vect = {
	FIXME
};

always @ ( posedge clk ) begin
	
		my_reset_n <= reset_n;
end

always @ ( posedge clk or negedge my_reset_n ) begin
	
	if( ~my_reset_n ) begin
	
		reg_in <= 0;
		reg_out <= 0;
		
	end else begin
	
		reg_in <= insig_in;
		reg_out <= out_vect;

	end
end

//
// instanctiate test instance here
//
FIXME FIXME_inst
(
);

endmodule
